update_engine: Split DBus client proxies to a library.

In order to allow other daemons call update_engine's DBus interface, we
split the generated interface to its own client library.

BUG=b:23084607
TEST=rm -rf /build/storm/var/cache/portage/chromeos-base/update_engine/out/Default/ ; emerge-link update_engine

Change-Id: Iac09b3269d9ffab599b27888b4a1a2824d262059
Reviewed-on: https://chromium-review.googlesource.com/294064
Commit-Queue: Alex Deymo <deymo@chromium.org>
Trybot-Ready: Alex Deymo <deymo@chromium.org>
Tested-by: Alex Deymo <deymo@chromium.org>
Reviewed-by: Alex Deymo <deymo@chromium.org>
diff --git a/generate_pc_file.sh b/generate_pc_file.sh
new file mode 100755
index 0000000..82f8740
--- /dev/null
+++ b/generate_pc_file.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Copyright 2015 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+OUT=$1
+shift
+PC_IN=$1
+shift
+INCLUDE_DIR=$1
+shift
+
+sed \
+  -e "s|@INCLUDE_DIR@|${INCLUDE_DIR}|g" \
+  "${PC_IN}.pc.in" > "${OUT}/${PC_IN}.pc"